Bug 250517 - [PATCH] www/squidguard - fix with -fno-common
Summary: [PATCH] www/squidguard - fix with -fno-common
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-22 02:42 UTC by Cy Schubert
Modified: 2020-11-13 18:01 UTC (History)
1 user (show)

See Also:
garga: maintainer-feedback+


Attachments
fix with -fno-common (3.94 KB, patch)
2020-10-22 02:42 UTC, Cy Schubert
cy: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cy Schubert freebsd_committer 2020-10-22 02:42:10 UTC
Created attachment 218961 [details]
fix with -fno-common

Fix build on 13-CURRENT.
Comment 1 Renato Botelho freebsd_committer 2020-10-22 11:27:58 UTC
Approved.  Thanks!
Comment 2 commit-hook freebsd_committer 2020-10-22 14:40:26 UTC
A commit references this bug:

Author: cy
Date: Thu Oct 22 14:40:16 UTC 2020
New revision: 552982
URL: https://svnweb.freebsd.org/changeset/ports/552982

Log:
  Fix build on 13-CURRENT with LLVM-11.

  PR:		250517
  Submitted by:	cy
  Reported by:	cy
  Approved by:	garga

Changes:
  head/www/squidguard/Makefile
Comment 3 Mikael Urankar freebsd_committer 2020-11-09 16:07:29 UTC
forgot to close? MFH?
Comment 4 Cy Schubert freebsd_committer 2020-11-13 18:01:03 UTC
(In reply to Mikael Urankar from comment #3)
No, we don't need to MFH. People tracking -CURRENT are probably tracking ports HEAD as well.